Identity, people & notifications
Resolve Employee Conflicts
Applies a batch of employee-sync conflict resolutions (map to existing role or create new) via EmployeeSyncService.
POSThttps://api.toku.com/stablecoin-payroll/resolve-employee-conflicts
Not available to API keys yet. It will need integrations:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/resolve-employee-conflicts' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"resolutions": [
{
"externalEmployeeID": "string",
"targetRoleInOrgID": "string",
"integrationType": "ADP",
"employeeData": {
"email": "string",
"givenName": "string",
"familyName": "string",
"externalEmployeeID": "string",
"department": "string",
"positionID": "string",
"payrollEntity": "string",
"payrollGroup": "string",
"country": "string",
"baseSalary": 0,
"baseSalaryCurrency": "string"
}
}
]
}'200 response
{
"success": true,
"resolved": 0,
"created": 0,
"errors": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
resolutionsobject[]requiredShow child attributes
externalEmployeeIDstringrequiredtargetRoleInOrgIDstring | nullrequiredintegrationTypestringrequiredAvailable options: ADP, WORKDAY, DEEL, UKG, BAMBOOHR, CSV_UPLOAD, QUICKBOOKS_ONLINE, GREENHOUSE, KOTA_BENEFITS
employeeDataobjectrequiredShow child attributes
emailstringrequiredgivenNamestringrequiredfamilyNamestringrequiredexternalEmployeeIDstringdepartmentstringpositionIDstringpayrollEntitystringpayrollGroupstringcountrystringbaseSalarynumberbaseSalaryCurrencystringResponse
200Successful response
successbooleanrequiredresolvedintegerrequiredcreatedintegerrequirederrorsstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits